Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration.server
Class DefaultDbAdapterFactory

    java.lang.Object
      org.apache.cayenne.configuration.server.DefaultDbAdapterFactory

All Implemented Interfaces:
  DbAdapterFactory

    public class DefaultDbAdapterFactory

extends Object
implements DbAdapterFactory

A factory of DbAdapters that either loads user-provided adapter or guesses the adapter type from the database metadata.

Since:
  3.1

Field Summary
`protected List<DbAdapterDetector>` | `detectors`
`static String` | `DETECTORS_LIST`
`protected JdbcEventLogger` | `jdbcEventLogger`
`protected AdhocObjectFactory` | `objectFactory`

Constructor Summary
`DefaultDbAdapterFactory(List<DbAdapterDetector> detectors)`

Method Summary
`DbAdapter` | `createAdapter(DataNodeDescriptor nodeDescriptor, DataSource dataSource)` Returns an instance of DbAdapter if the factory detects that it knows how to handle the database.
`protected DbAdapter` | `defaultAdapter()`
`protected DbAdapter` | `detectAdapter(DatabaseMetaData metaData)`
`protected DbAdapter` | `detectAdapter(DataNodeDescriptor nodeDescriptor, DataSource dataSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DETECTORS_LIST

    public static final String DETECTORS_LIST

See Also:
  Constant Field Values

### jdbcEventLogger

    protected JdbcEventLogger jdbcEventLogger

### objectFactory

    protected AdhocObjectFactory objectFactory

### detectors

    protected List<DbAdapterDetector> detectors

Constructor Detail

### DefaultDbAdapterFactory

    public DefaultDbAdapterFactory(List<DbAdapterDetector> detectors)

Method Detail

### createAdapter

    public DbAdapter createAdapter(DataNodeDescriptor nodeDescriptor,
                                   DataSource dataSource)
                            throws Exception

  Description copied from interface: `DbAdapterFactory`
  Returns an instance of DbAdapter if the factory detects that it knows how to handle the database.

  Specified by:
    `createAdapter` in interface `DbAdapterFactory`
  Throws:
    `Exception`

### detectAdapter

    protected DbAdapter detectAdapter(DataNodeDescriptor nodeDescriptor,
                                      DataSource dataSource)

### detectAdapter

    protected DbAdapter detectAdapter(DatabaseMetaData metaData)
                               throws SQLException

  Throws:
    `SQLException`

### defaultAdapter

    protected DbAdapter defaultAdapter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.